<?php
// Obtener el nombre del archivo y limpiar los espacios
$data = new stdClass();
$file = trim($_POST['filename']);
$dir = urldecode(trim($_POST['dir']));

// Verificar si tiene extensión
if (!pathinfo($file, PATHINFO_EXTENSION)) {
  // Si no tiene extensión, agregar ".php"
  $file .= ".php";
}

// Limpiar caracteres especiales
$file = preg_replace('/[^A-Za-z0-9\-_\.]/', '', $file);

if($file !=''){
  $directory = ($dir)?$dir:dirname(realpath(__FILE__));
  $fp = fopen($directory . '/' . $file, 'w') or die("Unable to open file!");
  $editorCode = $_POST['input'];
  fwrite($fp, $editorCode);
  fclose($fp);
}

$data->url = $directory;
$data->dir = $dir;

echo json_encode($data);
?>